Imports NHenry.Exception
Public Class ClsTest
    Implements IException

    Public Overloads Function GetDescription(ByVal pEx As System.Exception, ByVal pParams As NHenry.Exception.ColParams) As String Implements NHenry.Exception.IException.GetDescription
        Dim lParam As SParam
        Dim lStr As String = ""

        If TypeOf pEx Is IndexOutOfRangeException Then
            lStr = "Tentative d'accès à un élément hors tableau"
        End If
        Return lStr
    End Function

    Public Overloads Function GetDescription1(ByVal pObj As Object) As String Implements NHenry.Exception.IException.GetDescription
        Return ""
    End Function

    Public Function GetDetail(ByVal pEx As System.Exception, ByVal pParams As NHenry.Exception.ColParams) As String Implements NHenry.Exception.IException.GetDetail
        Return ""
    End Function
End Class
